Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 454670

Summary: Excessive dependencies
Product: [Fedora] Fedora Reporter: Tethys <tethys>
Component: xulrunnerAssignee: Christopher Aillon <caillon>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9CC: caillon, gecko-bugs-nobody, johnp, mcepl, stransky, walters
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 17:49:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Tethys 2008-07-09 16:47:34 UTC
Description of problem:
Install firefox with yum. Get unwanted and unneeded metacity package
at the same time.

Version-Release number of selected component (if applicable):
xulrunner-1.9-1.fc9.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. yum install firefox
2.
3.
  
Actual results:
=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 firefox                 x86_64     3.0-1.fc9        updates           9.3 M
Installing for dependencies:
 fedora-gnome-theme      noarch     8.0.0-2.fc9      updates            10 k
 libgnome                x86_64     2.22.0-3.fc9     fedora            980 k
 metacity                x86_64     2.22.0-3.fc9     fedora            2.3 M
 nodoka-metacity-theme   noarch     0.3.90-1.fc9     fedora            8.2 k
 xulrunner               x86_64     1.9-1.fc9        updates           8.7 M


Expected results:
=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 firefox                 x86_64     3.0-1.fc9        updates           9.3 M
Installing for dependencies:
 xulrunner               x86_64     1.9-1.fc9        updates           8.7 M


Additional info:
The problem seems to be that firefox requires xulrunner, which requires
libgnome which requires nodoka-metacity-theme, which requires metacity.

But Firefox (and by implication xulrunner) categorically do no require
libgnome or metacity to run, and thus they should not be a dependencies
as far as I can see. Maybe they can make use of them in some way if
they're installed. But they don't need them to be installed. For those
of us trying to run a minimal system, dependency bugs like this are a
real problem.

Comment 1 Christopher Aillon 2008-07-09 17:41:01 UTC
Yeah, it is currently a soft dependency on libgnome, as the libraries we need
are accessed via dlopen() but I think it will change to be a link/runtime
dependency at some point so it's probably unfair for me to make this change only
to have it reappear.

I'm slightly more interested in why libgnome pulls in everything it does, but I
bet there's good reason for that, too... 

Comment 2 Matěj Cepl 2008-07-14 07:13:37 UTC
Related bug is bug 454890 (probably duplicate, but in the context of OLPC the
situation might be different).

Comment 3 Bug Zapper 2009-06-10 01:59:56 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-07-14 17:49:30 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.